#
# xcolumn3 - testing enable column of type XMLVarchar with validation 
#	       (DAD: valid.dad and order.dad) 
#            - Turn on validation by enabling a column with valid.dad
#            - Attempt to insert some valid and other invalid documents.
#            - Verify that only the valid ones are inserted.
#
#            - Turn off validation by enabling a column with order.dad
#            - Attempt to insert an invalid document.
#            - Verify that the invalid document is inserted.
#   

db2 "connect to mydb"

db2 "create table app1 (id int NOT NULL, name char(20), Order db2xml.xmlvarchar)"

db2 "insert into db2xml.dtd_ref values('Order.dtd', db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/dtd/Order.dtd'), 0, 'anita', 'anita', 'anita')"

echo -------- Enable validation --------

dxxadm enable_column mydb app1 Order "/usr/IBMdb2xml/V7.1/samples/dad/valid.dad"

db2 "insert into app1 (id, name, Order) values(11, 'order1', db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/order1.xml'))"

db2 "insert into app1 (id, name, Order) values(111, 'invalid1', db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/invalid1.xml'))"

db2 "insert into app1 (id, name, Order) values(22, 'order2', db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/order2.xml'))"

db2 "insert into app1 (id, name, Order) values(122, 'invalid2', db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/invalid2.xml'))"

db2 "insert into app1 (id, name, Order) values(133, 'invalid3', db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/invalid3.xml'))"

db2 "select customer_num,price,date from order"

db2 "update app1 set Order = db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/invalid1.xml') where id=11"

db2 "select customer_num,price,date from order"

dxxadm disable_column mydb app1 Order

db2 "delete from app1"


echo -------- Disable validation --------

dxxadm enable_column mydb app1 Order "/usr/IBMdb2xml/V7.1/samples/dad/novalid.dad"

db2 "insert into app1 (id, name, Order) values(111, 'invalid1', db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/invalid1.xml'))"

db2 "select customer_num,price,date from order"

dxxadm disable_column mydb app1 Order


echo -------- Clean up --------

db2 "drop table app1"

db2 "delete from db2xml.dtd_ref where dtdid='Order.dtd'"

db2 terminate

